[SciPy-user] scipy build with gcc on solaris problems

John Reid j.reid@mail.cryst.bbk.ac...
Mon Mar 3 05:29:15 CST 2008



John Reid wrote:
> Also when I import scipy.optimize I have the following error. Could 
> easy_install be using the solaris CC compiler? Would this cause this 
> problem?
> 

I found out how to change the default compiler with easy_install but now 
  I am told I cannot compile the code on Solaris with gcc:

Building modules...
         Building module "mvn"...
                 Constructing wrapper function "mvnun"...
                   value,inform = 
mvnun(lower,upper,means,covar,[maxpts,abseps,releps])
                 Constructing wrapper function "mvndst"...
                   error,value,inform = 
mvndst(lower,upper,infin,correl,[maxpts,abseps,releps])
                 Constructing COMMON block support for "dkblck"...
                   ivls
         Wrote C/API module "mvn" to file 
"build/src.solaris-2.10-sun4u-2.5/scipy/stats/mvnmodule.c"
         Fortran 77 wrappers are saved to 
"build/src.solaris-2.10-sun4u-2.5/scipy/stats/mvn-f2pywrappers.f"
error: Setup script exited with error: don't know how to compile C/C++ 
code on platform 'posix' with 'gcc' compiler


I created the following ~/.pydistutils.cfg

[build]
compiler = gcc

to change the default compiler.

Any help appreciated,
John.



More information about the SciPy-user mailing list